VectorLinux
September 21, 2014, 07:59:56 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: problems with pkgtools  (Read 894 times)
stanz0
Member
*
Posts: 12



« on: August 06, 2010, 11:43:16 am »

Hello.
Glad to be a fellow Vector user - Great distro - the best I've used so far.

I've ran into a few bumps on the road though, and I'm hoping to get a little help here, as Im almost at my wits end.


To skip getting into too deep into a prelude..:

(I'm using VL light.)

Upon installing new software from Vl repos, gslapt started to tell me that pkgtools was reporting errors. It started to become really annoying, so I tried reinstalling pkgtools - only to find that now slapt-get would refuse to work with any .tlz files, but rather, complain that they werent .tgz.

Lynx was uninstalled, and I couldnt reinstall it - so was man /man pages.
GREAT!

I managed use installpkg to install slapt-get - then use slapt-get to -DOWNLOAD ONLY-, the man, and lynx packages. I then used installpkg to install those.
But (I digress) those are only minor bits of the large problem:

pkgtools returns "errors" on every confounded thing slapt-get/gslapt tries to install, and I cant seem to re-install pkgtools.
(the packages I've got so far, complain about a missing seperator on my executing "make".

Also, my GUI is now the default, barebones iceWM, it hasnt the (right click on desktop) option to change theme/appearance either.
I dont know when dependencies were done away with, to render this the case, but I'd sure love to reinstall the relevant icewm packages as well.

So, lest I've exhausted any reader ;p

1.How do I reisntall pkgtools?
2.What files constitute the themable aspects of icewm?

Thanks
Logged
M0E-lnx
Administrator
Vectorian
*****
Posts: 3180



« Reply #1 on: August 06, 2010, 11:58:24 am »

I dont know what or how this happened to you, but download these packages to your home dir
http://vectorlinux.osuosl.org/veclinux-6.0/packages/base/pkgtools-tukaani-1.2.4-i586-1vl60.tgz
http://vectorlinux.osuosl.org/veclinux-6.0/packages/base/lzma-4.32.0beta3-i586-1vl60.tgz

after the download, open a shell window and install them using installpkg


that should restore your packagetools to default.
6.0 light should work fine with .tlz files
Logged

stanz0
Member
*
Posts: 12



« Reply #2 on: August 06, 2010, 01:10:09 pm »

Hello  M0E.

Thanks again for you help.
As a follow up to the problem / our irc convo.
The issue with icewm (as I suspected) was reinstalling the theme-related package/files of icewm.

That package turns out to be named "icewmvmods" (the "vmods" portion standing for Vector Mods I assume).

One that was installed, and the window manager rebooted, the typical VL modifications to iceWM were restored, and it aptly rebuilt my menu config as well.

So, that was that - my VL installation is now back to normal. (It also seems that a reinstallation of tukaani was needed to begin with!)

Just wanted to put this info out there. ^_~
Logged
M0E-lnx
Administrator
Vectorian
*****
Posts: 3180



« Reply #3 on: August 07, 2010, 12:54:07 pm »

Good to know. Glad youre liking the distro
Logged

Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!